Tasks & Runs
Create Task
Send a task to an agent for execution. Creates an agent run.
POST
/
api
/
tasks
Create task
curl --request POST \
--url https://www.sontairo.com/api/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"prompt": "<string>",
"projectId": "<string>",
"selectedProvider": "<string>",
"selectedModel": "<string>",
"providerKeyId": "<string>",
"connectorIds": [
"<string>"
]
}
'import requests
url = "https://www.sontairo.com/api/tasks"
payload = {
"workspaceId": "<string>",
"prompt": "<string>",
"projectId": "<string>",
"selectedProvider": "<string>",
"selectedModel": "<string>",
"providerKeyId": "<string>",
"connectorIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
prompt: '<string>',
projectId: '<string>',
selectedProvider: '<string>',
selectedModel: '<string>',
providerKeyId: '<string>',
connectorIds: ['<string>']
})
};
fetch('https://www.sontairo.com/api/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"workspaceId": "<string>",
"projectId": "<string>",
"prompt": "<string>",
"output": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthcookieAuth
Session token issued by the desktop/native auth exchange, sent as Authorization: Bearer .
Body
application/json
Task instruction in natural language
Required string length:
1 - 10000AI provider to use
AI model to use
Connector IDs the agent can use
Available options:
supervised, semi-autonomous, autonomous Response
201 - application/json
Task created and run started
Show child attributes
Show child attributes
⌘I
Create task
